export function isArrayWithLength(test) {
    return Array.isArray(test) && !!test.length;
}
export function isPlainObject(test) {
    return test && (typeof test === 'object') && !Array.isArray(test);
}
export function mergeDeep(target, source) {
    const output = { ...target };
    Object.keys(source).forEach((key) => {
        const sourceKey = source[key];
        output[key] =
            (isPlainObject(sourceKey) && key !== 'animation')
                ? (key in target)
                    ? mergeDeep(target[key], sourceKey)
                    : sourceKey
                : sourceKey || '';
    });
    return output;
}
